Debian Bug report logs - #126723
[fixed in lynx-cur] lynx: ignores Refresh: in HTTP headers

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: Marek Michalkiewicz <marekm@amelek.gda.pl>

Date: Fri, 28 Dec 2001 10:33:01 UTC

Severity: normal

Tags: upstream

Fixed in version lynx/2.8.5-1

Done: James Troup <james@nocrew.org>

Bug is archived. No further changes may be made.

Forwarded to upstream

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adrian Bunk <bunk@fs.tum.de>:
Bug#126723; Package lynx-ssl. Full text and rfc822 format available.

Acknowledgement sent to Marek Michalkiewicz <marekm@amelek.gda.pl>:
New Bug report received and forwarded. Copy sent to Adrian Bunk <bunk@fs.tum.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marek Michalkiewicz <marekm@amelek.gda.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx-ssl: ignores Refresh: in HTTP headers
Date: Fri, 28 Dec 2001 11:21:27 +0100
Package: lynx-ssl
Version: 1:2.8.4.1b-1
Severity: normal

Try loading this page (before they fix it ;)

http://www.gamma.pl/

the page appears completely empty, but -trace shows this HTTP header

Refresh: 0; URL=http://www.gamma.pl/start.htm

which works as expected in Links, Konqueror and Netscape (causes the
new URL to be loaded).  Refresh in META tags (as part of the HTML
document) works fine, but in HTTP headers it doesn't.  This looks like
something to report upstream...

Happy New Year, hopefully with a new stable Debian release :)

Marek

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux alf.amelek.gda.pl 2.4.14 #2 ┬Âro lis 7 14:39:42 CET 2001 i586
Locale: LANG=pl_PL.iso-8859-2, LC_CTYPE=pl_PL.iso-8859-2

Versions of packages lynx-ssl depends on:
ii  libc6                     2.2.4-7        GNU C Library: Shared libraries an
ii  libncurses5               5.2.20010318-3 Shared libraries for terminal hand
ii  libssl0.9.6               0.9.6b-4       SSL shared libraries
ii  zlib1g                    1:1.1.3-18     compression library - runtime




Bug reassigned from package `lynx-ssl' to `lynx'. Request was from Adrian Bunk <bunk@fs.tum.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adrian Bunk <bunk@fs.tum.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>, lynx@packages.qa.debian.org:
Bug#126723; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to "Chris Nunez" <mstsurvey@yahoo.com>:
Extra info received and forwarded to list. Copy sent to James Troup <james@nocrew.org>, lynx@packages.qa.debian.org. Full text and rfc822 format available.

Message #14 received at 126723@bugs.debian.org (full text, mbox):

From: "Chris Nunez" <mstsurvey@yahoo.com>
To: <126723@bugs.debian.org>
Subject: Introducing MultiSensit SDK
Date: Tue, 30 Apr 2002 12:41:05 -0700
<html>

<body aLink=#000000 bgColor=#336699 leftMargin=0 link=#000000 text=#000000 
topMargin=0 vLink=#000000 marginheight="0" marginwidth="0">

<center>
<br>

<table border="0" cellpadding="2" cellspacing="0" width="650" height="400">
  <tr>
    <td bgcolor="#ffffff" align="center">
      <img src="http://www.mstcorporation.com/body.jpg"><br>
      <font face="arial,helvetica" size="2">
      <a href="http://www.mstcorporation.com">www.mstcorporation.com</a><br>
      <a
href="mailto:info@mstcorporation.com">info@mstcorporation.com</a><br>
      </font>
    </td>
  </tr>
  <tr>
    <td valign="top" align="center">
      <img src="http://www.mstcorporation.com/logo.gif"><br>
    </td>
  </tr>
</table>

<font size="1" face="arial,helvetica" color="white">
To be removed from our list please reply with "remove" in the subject
line. We will immediately update our list accordingly.
</font>

</center>

</body>
</html>



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>, lynx@packages.qa.debian.org:
Bug#126723; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to James Troup <james@nocrew.org>, lynx@packages.qa.debian.org. Full text and rfc822 format available.

Message #19 received at 126723@bugs.debian.org (full text, mbox):

From: dickey@herndon4.his.com (Thomas Dickey)
To: 126723@bugs.debian.org
Cc: dickey@herndon4.his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=126723&repeatmerged=
Date: Sat, 21 Sep 2002 07:58:50 -0400
I fixed this in 2.8.5dev.8

                       Debian Bug report logs - #126723
>                     lynx ignores Refresh: in HTTP headers
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Tags added: upstream Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to upstream. Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to James Troup <james@nocrew.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marek Michalkiewicz <marekm@amelek.gda.pl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 126723-close@bugs.debian.org (full text, mbox):

From: James Troup <james@nocrew.org>
To: 126723-close@bugs.debian.org
Subject: Bug#126723: fixed in lynx 2.8.5-1
Date: Thu, 05 Feb 2004 17:02:20 -0500
Source: lynx
Source-Version: 2.8.5-1

We believe that the bug you reported is fixed in the latest version of
lynx, which is due to be installed in the Debian FTP archive:

lynx_2.8.5-1.diff.gz
  to pool/main/l/lynx/lynx_2.8.5-1.diff.gz
lynx_2.8.5-1.dsc
  to pool/main/l/lynx/lynx_2.8.5-1.dsc
lynx_2.8.5-1_i386.deb
  to pool/main/l/lynx/lynx_2.8.5-1_i386.deb
lynx_2.8.5.orig.tar.gz
  to pool/main/l/lynx/lynx_2.8.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 126723@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James Troup <james@nocrew.org> (supplier of updated lynx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  5 Feb 2004 21:27:00 +0000
Source: lynx
Binary: lynx
Architecture: source i386
Version: 2.8.5-1
Distribution: unstable
Urgency: low
Maintainer: James Troup <james@nocrew.org>
Changed-By: James Troup <james@nocrew.org>
Description: 
 lynx       - Text-mode WWW Browser
Closes: 39905 40952 111463 114062 116495 117347 124025 124361 126723 135442 139948 140682 156498 156680 159215 181614 191798 199755 210948 217994 218180
Changes: 
 lynx (2.8.5-1) unstable; urgency=low
 .
   * New upstream release. Closes: #210948
    * Should now build on the Hurd. Closes: #140682
    * -auth=id:pw no longer ignored when using -source or -dump. Closes: #156498
    * Default cookie Path is not correct. Closes: #181614
    * Can now switch to bookmarks under 'z'. Closes: #111463
    * Fixes only highlighting the first two lines of a hyperlink.  Closes: #114062, #124361
    * Fixed missing space in german localisation. Closes: #116495
    * Fixed problems with wiki-login. Closes: #124025
    * No longer ignores Refresh: in HTTP headers. Closes: #126723
    * Forms now sent using proper encoding. Closes: #156680
    * Fixes confusion of whereis query inside of long <select>. Closes: #159215
    * Fixes inconsistent rendering of superscript tag. Closes: #191798
    * -dump mode now has an option to put "footnote" marks after the hyperlink. Closes: #39905
    * References can optionally follow text in ASCII output. Closes: #40952
    * Changed footnotes to display after links. Closes: #135442
    * File uploads are properly supported. Closes: #139948
    * config.{guess,sub} have been updated. Closes: #217994
 .
    * 03_euc-jp-blink.dpatch, 04_crlf-security.dpatch,
      05_config-guess-sub.dpatch, 06_gnutls-support.dpatch: removed, merged
      upstream.
    * 01_default-config.dpatch: resynced with new config file.
 .
   * debian/control (Priority): drop to optional.
 .
   * debian/rules (build): ask configure to use ncursesw instead of
     ncurses for better UTF-8 support.
   * debian/control (Build-Depends): likewise, switch to libncursesw5-dev.
 .
   * debian/rules (build): pass --with-bzlib to enable bzip2 decompression.
   * debian/control (Build-Depends): add libbz2-dev.
 .
   * debian/preinst: new file.  Undo diversions from old (potato-era)
     lynx-ssl package.  Closes: #218180, #199755
   * debian/rules (binary-arch): install it.
 .
   * debian/rules (binary-arch): install lynx as 'lynx.stable'.
   * debian/postinst, prerm, postrm: use update-alternatives for lynx.
     Closes: #117347
Files: 
 09220cb53f38ef8845f078a75e6d1bb8 609 web optional lynx_2.8.5-1.dsc
 5f516a10596bd52c677f9bfd9579bc28 2984352 web optional lynx_2.8.5.orig.tar.gz
 464c8d944615b8b484d34cd11b8fc7bd 14020 web optional lynx_2.8.5-1.diff.gz
 1f913331fbd98d4a11df264cdeab4dff 1855448 web optional lynx_2.8.5-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)

iEYEARECAAYFAkAiuPYACgkQgD/uEicUG7Bm+gCgkupggu3FaVUN07MbX4dq53eJ
Ro0AoNfxtqFnlPDBijMKxV3KP9wX/C6C
=g8D1
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:59:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.